Bug 147322 - Writer text table: drag & drop table moving doesn't work (regression of tdf#84806)
Summary: Writer text table: drag & drop table moving doesn't work (regression of tdf#8...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.4.0.0 alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0 target:7.3.1
Keywords: regression
Depends on:
Blocks: Writer-Tables Writer-UX
  Show dependency treegraph
 
Reported: 2022-02-09 15:39 UTC by NISZ LibreOffice Team
Modified: 2022-03-07 07:49 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2022-02-09 15:39:38 UTC
Description:
table moving doesn't work (regression of tdf#84806 (https://bugs.documentfoundation.org/show_bug.cgi?id=84806))

Actual Results:
Table moving doesnt works

Expected Results:
It should work


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 5c138ac6a8334825ef171ac6291b66b277eb4288
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 1 Commit Notification 2022-02-09 20:19:15 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2bb9ad2078e355b71ab25db0c46f3d0bb19cf6d4

tdf#147181 tdf#147322 sw: fix drag & drop multiple table rows

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 László Németh 2022-02-09 20:46:48 UTC
Regression from commit 5e8aa259e48d5602b932353bb146ebb523982cf2
"tdf#146967 sw table: fix freezing in Hide Changes mode".

Commit description:

tdf#147181 tdf#147322 sw: fix drag & drop multiple table rows

With change tracking, moving multiple table rows tracked
only the first row as deleted, and in the insertion point,
as inserted.

Without change tracking, only the first row were deleted
from the original position. This is a regression of tdf#84806
from commit 5e8aa259e48d5602b932353bb146ebb523982cf2
"tdf#146967 sw table: fix freezing in Hide Changes mode".

Add unit tests for the change tracking fix and for the original
table moving fix in commit 7fe64353dc9950e19182a59a486a1ecac27cf98e
"tdf#84806 Writer: drag and drop selected tables, don't empty".
Comment 3 Commit Notification 2022-02-10 08:37:42 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/9493147ad6b046a4685896d594ed257800552f67

tdf#147181 tdf#147322 sw: fix drag & drop multiple table rows

It will be available in 7.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 NISZ LibreOffice Team 2022-03-07 07:49:06 UTC
Verified in.
7.4.0.0 alpha+